package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectManagementEntryCollection extends AbstractObjectCollection 
{
    public ProjectManagementEntryCollection()
    {
        super(ProjectManagementEntryInfo.class);
    }
    public boolean add(ProjectManagementEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectManagementEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectManagementEntryInfo item)
    {
        return removeObject(item);
    }
    public ProjectManagementEntryInfo get(int index)
    {
        return(ProjectManagementEntryInfo)getObject(index);
    }
    public ProjectManagementEntryInfo get(Object key)
    {
        return(ProjectManagementEntryInfo)getObject(key);
    }
    public void set(int index, ProjectManagementEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectManagementEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectManagementEntryInfo item)
    {
        return super.indexOf(item);
    }
}